namespace KlassenPruefung
{
    internal class Fahrzeug(string b, int g)
    {
        private readonly string bezeichnung = b;
        private int geschwindigkeit = g;

        public override string ToString() =>
            $"{bezeichnung}, {geschwindigkeit}";

        public bool Equals(Fahrzeug x) =>
            bezeichnung == x.bezeichnung &&
            geschwindigkeit == x.geschwindigkeit;

        public void Beschleunigen(int wert) =>
            geschwindigkeit += wert;
    }
}
